Bug#922842: ITP: golang-github-containers-image -- Work with containers' images

2019-04-30 Thread Reinhard Tartler
On 4/29/19 8:09 AM, Cirujano Cuesta, Silvano wrote: > On Mon, 2019-04-29 at 07:29 -0400, Reinhard Tartler wrote: >> I'm having a hard time understanding what issue you are facing with and what >> you mean fix "fix manually". How are you building the package? Are you u

Bug#880199: [containers/libpod] Package up podman for vanilla Debian (#1742)

2019-04-30 Thread Reinhard Tartler
Namespaces === Buildah requires a Linux Kernel with userspaces enabled. Debian Kernels have that functionaly, but the local system administrator needs to enable it manually, with a command like this: sudo sysctl -w kernel.unprivileged_userns_clone=1 -- Reinhard Tartler

Bug#923300: ITP: golang-github-openshift-imagebuilder -- Builds Dockerfile using the Docker client

2019-04-30 Thread Reinhard Tartler
On 4/29/19 10:24 AM, Cirujano Cuesta, Silvano wrote: >> I actually went ahead and implement this solution. The result can be seen at >> https://salsa.debian.org/go-team/packages/golang-github-openshift-imagebuilder > > The project doesn't appear to be there, isn't it public? My bad, I've

Bug#922842: ITP: golang-github-containers-image -- Work with containers' images

2019-04-29 Thread Reinhard Tartler
I'm having a hard time understanding what issue you are facing with and what you mean fix "fix manually". How are you building the package? Are you using git-buildpackage, sbuild or pbuilder? I'd strongly recommend to do so, because if you were, I cannot see how you possibly could run into such

Bug#928083: ITP: golang-github-containers-buildah -- A tool that facilitates building OCI images

2019-04-27 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-containers-buildah Version : 1.7.1-1 Upstream Author : Containers * URL : https://github.com/containers/buildah * License : Apache-2.0 Programming Lang: Go Description

Bug#927042: unblock: gpac/gpac 0.5.2-426-gc5ad4e4+dfsg5-5

2019-04-13 Thread Reinhard Tartler
g fix: "CVE-2019-11221: buffer-overflow issue in gf_import_message() +in media_import.c", thanks to Salvatore Bonaccorso (Closes: #926963). + + -- Reinhard Tartler Sat, 13 Apr 2019 16:41:15 -0400 + gpac (0.5.2-426-gc5ad4e4+dfsg5-4.1) unstable; urgency=medium * CVE-2018-7752 (Closes: #8

Bug#926824: go-md2man: Produced manpages contain many warnings "manpage-has-bad-whatis-entry" lintian warnings

2019-04-10 Thread Reinhard Tartler
Source: go-md2man Severity: normal I'm using this tool in the golang-github-containers-storage. At the end of the package build, I see lots of warnings like this: , | W: containers-storage: manpage-has-bad-whatis-entry usr/share/man/man1/containers-storage-mounted.1.gz | W:

Bug#921949: golang-github-containers-storage_1.5-1_amd64.changes REJECTED

2019-04-10 Thread Reinhard Tartler
Hi Thorsten, thank you for looking at the package. On 4/10/19 3:00 PM, Thorsten Alteholz wrote: > I don't think that it is ok to add all contributors to your debian/copyright > although the LICENSE says that Docker, Inc claims the copyright (and they > are missing). I don't think this is

Bug#926704: unblock: pcsc-cyberjack/3.99.5final.sp09-2

2019-04-09 Thread Reinhard Tartler
+ + * Acknowledge NMU. + * Bug fix: "driver breaks with pcsc-lite versions >= 1.8.21", thanks +to Peter Wienemann (Closes: #926103). + + -- Reinhard Tartler Mon, 08 Apr 2019 17:58:31 -0400 + pcsc-cyberjack (3.99.5final.sp09-1.1) unstable; urgency=medium * Non-maintainer uplo

Bug#926103: Freeze-exception for pcsc-cyberjack 3.99.5final.sp09-2

2019-04-08 Thread Reinhard Tartler
+ + * Acknoledge NMU. + * Bug fix: "driver breaks with pcsc-lite versions >= 1.8.21", thanks +to Peter Wienemann (Closes: #926103). + + -- Reinhard Tartler Mon, 08 Apr 2019 17:58:31 -0400 + pcsc-cyberjack (3.99.5final.sp09-1.1) unstable; urgency=medium * Non-maintainer

Bug#925184: ITP: golang-github-vbauerster-mpb -- multi progress bar for Go cli applications

2019-03-20 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-vbauerster-mpb Version : 3.3.4-1 Upstream Author : Vladimir Bauer * URL : https://github.com/vbauerster/mpb * License : BSD-3-clause Programming Lang: Go Description

Bug#923300: Bug#924257: docker.io: Misses to install some golang packages

2019-03-17 Thread Reinhard Tartler
On 3/13/19 10:29 AM, Arnaud Rebillout wrote: > On 3/13/19 6:47 PM, Reinhard Tartler wrote: >> [...] could you please update debian/changelog in experimental, and provide >> me with a link to your pre-built *source* package [new version of >> src:docker.io]? I'd be happy

Bug#924270: O: keepassx -- Cross Platform Password Manager

2019-03-14 Thread Reinhard Tartler
On 3/11/19 1:09 PM, Felix Geyer wrote: > I've replied to you but unfortunately your mail provider / filter seems to > discard my mails. I'm sorry to hear that. If gmail is giving you a hard time, feel free to contact me on my @debian.org email address (or vice versa) in the future. This email

Bug#924257: docker.io: Misses to install some golang packages

2019-03-13 Thread Reinhard Tartler
On 3/13/19 3:54 AM, Arnaud Rebillout wrote: > On 3/13/19 6:05 AM, Reinhard Tartler wrote: >> I've implemented the change and confirmed that the attached patch does allow >> github.com/openstack/imagebuilder to be built successfully. As suggested, >> I've tried to push t

Bug#923494: Please Recommend and dlopen libsdl2 rather than depending on it

2019-03-12 Thread Reinhard Tartler
On Tue, Mar 12, 2019 at 1:49 PM Josh Triplett wrote: > On Tue, Mar 12, 2019 at 08:25:55AM -0400, Reinhard Tartler wrote: > >Depends: libavcodec58 (= 7:4.1.1-2), > > libavdevice58 (= 7:4.1.1-2), libavfilter7 (= 7:4.1.1-2), libavformat58 (

Bug#924257: docker.io: Misses to install some golang packages

2019-03-12 Thread Reinhard Tartler
patch as an NMU to experimental myself. Please let me know what works for you best. Cheers, -rt From 4abbd5b15e0735443cf8ad54165ab054dcab6f14 Mon Sep 17 00:00:00 2001 From: Reinhard Tartler Date: Tue, 12 Mar 2019 18:53:36 -0400 Subject: [PATCH] github-golang-docker-docker-dev: add missing sour

Bug#923494: Please Recommend and dlopen libsdl2 rather than depending on it

2019-03-12 Thread Reinhard Tartler
On Sun, Mar 10, 2019 at 9:36 PM Carl Eugen Hoyos wrote: > > What might work is disabling the avdevice outdev AND > > moving 'ffplay' to its own binary package. > > Before suggesting this, I would prefer the OP to test. I > still do not entirely believe that this fixes his issue. > > There is a

Bug#923494: Please Recommend and dlopen libsdl2 rather than depending on it

2019-03-10 Thread Reinhard Tartler
On Sun, Mar 10, 2019 at 6:57 PM Carl Eugen Hoyos wrote: > 2019-03-10 23:21 GMT+01:00, Reinhard Tartler : > > On Sat, Mar 9, 2019 at 2:51 PM Carl Eugen Hoyos > wrote: > > > >> Could you test the configure option "--disable-outdev=sdl2"? > >> Your r

Bug#923494: Please Recommend and dlopen libsdl2 rather than depending on it

2019-03-10 Thread Reinhard Tartler
On Sat, Mar 9, 2019 at 2:51 PM Carl Eugen Hoyos wrote: > Hi! > > Could you test the configure option "--disable-outdev=sdl2"? > Your report indicates it should fix your issue, I am not convinced but > if it fixes your issue, Debian should consider using it as the device > is mostly a (cheap)

Bug#924270: O: keepassx -- Cross Platform Password Manager

2019-03-10 Thread Reinhard Tartler
Package: wnpp Severity: normal Keepassx is a graphical password manager, using the Qt4 toolkit. I'm no longer using this package and have personally switched to 'password-store'. Unfortunately, I've also failed to get a response from upstream from

Bug#907135: [Box Backup] Debian now requires 2048bit RSA keys

2019-03-10 Thread Reinhard Tartler
> > On Mon, Jan 7, 2019, 16:58 Chris Wilson > >>> Hi Reinhard, >>> >>> If I make the workaround suggested on this thread >>> (change >>> SECLEVEL to 1 in /etc/ssl/openssl.cnf) then test/basicserver passes again. >>> This is at least a good

Bug#924257: docker.io: Misses to install some golang packages

2019-03-10 Thread Reinhard Tartler
Source: docker.io Severity: normal Control: block 923300 by -1 While working on the package 'golang-github-openshift-imagebuilder', I was running into compilation errors, more specifically, unresolved dependencies during the build: dh_auto_build -O--buildsystem=golang cd

Bug#923722: golang-github-appc-cni: Please upgrade to new upstream 0.7.0-alpha1

2019-03-04 Thread Reinhard Tartler
Package: golang-github-appc-cni Severity: wishlist Hi, Please update to new upstream version of 0.7.0-alpha1. I need it as a build dependency of http://github.com/containers/buildah In fact, I've done so locally, and would be happy to upload it as a Team Upload. I was running into issues while

Bug#923300: ITP: golang-github-openshift-imagebuilder -- Builds Dockerfile using the Docker client

2019-03-02 Thread Reinhard Tartler
On Fri, Mar 1, 2019 at 9:26 AM Reinhard Tartler wrote: > That sounds really promising. I wonder how to implement it for this > package. > > The yquake2 package uses gbp-buildpackage, pristine-tar and mk-origtargz, > which I would love to continue using. Unlike yquake2, this

Bug#923300: ITP: golang-github-openshift-imagebuilder -- Builds Dockerfile using the Docker client

2019-03-01 Thread Reinhard Tartler
That sounds really promising. I wonder how to implement it for this package. The yquake2 package uses gbp-buildpackage, pristine-tar and mk-origtargz, which I would love to continue using. Unlike yquake2, this package doesn't combine two seperate git repositories, but both sources come from the

Bug#923300: ITP: golang-github-openshift-imagebuilder -- Builds Dockerfile using the Docker client

2019-02-25 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-openshift-imagebuilder Version : 1.0+git20190212.3682349-1 Upstream Author : OpenShift * URL : https://github.com/openshift/imagebuilder * License : Apache-2.0

Bug#880199: ITP: skopeo -- Utility performing various operations on container images and image repositories

2019-02-24 Thread Reinhard Tartler
Control: owner -1 ! I've started to work on packaging skopeo, you can find the packaging at https://salsa.debian.org/go-team/packages/skopeo Note that it depends on some additional packages currently found in the NEW queue, but I've been able to build and install the package in a chroot.

Bug#922842: ITP: golang-github-containers-image -- Work with containers' images

2019-02-21 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-containers-image Version : 1.2+git20181221.f0cbc16-1 Upstream Author : Antonio Murdaca Brandon Philips Miloslav Trmac Dan Walsh

Bug#782093: For more details on chapter file syntax...broken link

2019-02-15 Thread Reinhard Tartler
Control: tag -1 upstream Hi Mathieu, Sorry for the late reply. This is an upstream issue and needs to be dealt as such. Can you please visit https://github.com/gpac/gpac/issues/new and report back the issue number you got? I'd be happy to add the necessary linking so that we are notified when

Bug#786733: gpac: aac2m4a, some m4a are 1 second long and <1Kb big

2019-02-15 Thread Reinhard Tartler
Control: tag -1 upstream Hi Tiberio, Sorry for the late reply. This is an upstream issue and needs to be dealt as such. Can you please visit https://github.com/gpac/gpac/issues/new and report back the issue number you got? I'd be happy to add the necessary linking so that we are notified when

Bug#782125: Support atom Xtra

2019-02-15 Thread Reinhard Tartler
Control: tag -1 upstream Hi Mathieu, Sorry for the late reply. This is an upstream issue and needs to be dealt as such. Can you please visit https://github.com/gpac/gpac/issues/new and report back the issue number you got? I'd be happy to add the necessary linking so that we are notified when

Bug#898689: ITP: golang-github-ostreedev-ostree-go -- Golang bindings for httt://github.com/ostreedev/ostree

2019-02-13 Thread Reinhard Tartler
On Wed, Jan 9, 2019 at 9:58 AM Alexandre Viau wrote: > On 2019-01-09 6:54 a.m., Reinhard Tartler wrote: > > Hi Juan, > > > > are you still working on this ITP? I was looking at skopeo as well, > > and stumpled upon this ITP. I noticed that you created a repository on

Bug#922124: ITP: golang-github-ulikunitz-xz -- Pure golang package for reading and writing xz-compressed files

2019-02-12 Thread Reinhard Tartler
Thanks for the review, I've just uploaded it to unstable. -rt On 2/12/19 8:13 AM, eamanu15 wrote: > Oh thanks! I can see now > > Take care that the d/changelog entry is on UNRELEASED; > > Regards > > El mar., 12 de feb. de 2019 a la(s) 09:57, Reinhard Tartler &

Bug#922124: ITP: golang-github-ulikunitz-xz -- Pure golang package for reading and writing xz-compressed files

2019-02-12 Thread Reinhard Tartler
On 2/12/19 7:17 AM, eamanu15 wrote: > Hi, > > The salsa repo is empty. > > Something is wrong? The train station arrived sooner than I could push to salsa. I've just rectified this, the repository is now populated. https://salsa.debian.org/go-team/packages/golang-github-ulikunitz-xz

Bug#922124: ITP: golang-github-ulikunitz-xz -- Pure golang package for reading and writing xz-compressed files

2019-02-12 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-ulikunitz-xz Version : 0.5.5-1 Upstream Author : Ulrich Kunitz * URL : https://github.com/ulikunitz/xz * License : 3-clause BSD Programming Lang: Go Description

Bug#922089: ITP: golang-github-mtrmac-gpgme -- Go wrapper for the GPGME library

2019-02-12 Thread Reinhard Tartler
I was running into issues with getting the testsuite pass during a package build. The testsuite does pass when I 'go get' the library and call it manually with 'go test'. I straced the failing execution and came to the conclusion that something funny must be going on with interacting with

Bug#922089: ITP: golang-github-mtrmac-gpgme -- Go wrapper for the GPGME library

2019-02-11 Thread Reinhard Tartler
The plan is to maintain this package under to go-team umbrella. The packaging is at https://salsa.debian.org/go-team/packages/golang-github-mtrmac-gpgme. Comments / feedback welcome! -rt

Bug#922089: ITP: golang-github-mtrmac-gpgme -- Go wrapper for the GPGME library

2019-02-11 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-mtrmac-gpgme Version : 0.0~git20170102.b243242-1 Upstream Author : Miloslav Trmač * URL : https://github.com/mtrmac/gpgme * License : BSD-3-clause Programming Lang: Go

Bug#921949: ITP: golang-github-containers-storage --

2019-02-10 Thread Reinhard Tartler
I've pushed my current work to salsa. Feedback and suggestions would be much appreciated, as I'm still rather new to packaging go libraries. I intend to have this package team maintained. You can find the repository at https://salsa.debian.org/go-team/packages/golang-github-containers-storage

Bug#921949: ITP: golang-github-containers-storage --

2019-02-10 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-containers-storage Version : 1.5-1 Upstream Author : * URL : https://github.com/containers/storage * License : Apache-2.0 Programming Lang: Go Description : Go

Bug#921849: restic 0.9.4 `-q` outputs `open repository`

2019-02-09 Thread Reinhard Tartler
Package: restic Version: 0.9.4+ds-1 Severity: important Tags: upstream When used for instance in a cron job for backup, I would get emails that have this content: /etc/cron.hourly/backup_restic: open repository open repository open repository This has been reported upstream at:

Bug#893227: libbluray FTBFS with openjdk-9

2019-01-23 Thread Reinhard Tartler
Hi Adrian, On Wed, Jan 23, 2019 at 12:54 PM Adrian Bunk wrote: > Due to popcon (and reverse dependencies) libbluray is a key package > that won't be autoremoved (otherwise it would have been autoremoved > from buster 9 months ago). > That's good to know, thanks for pointing it out. > A

Bug#893227: libbluray FTBFS with openjdk-9

2019-01-22 Thread Reinhard Tartler
On Tue, Jan 22, 2019 at 5:34 PM Emmanuel Bourg wrote: > Le 22/01/2019 à 23:26, Reinhard Tartler a écrit : > > > Since openjdk-8 is going to be kept in Buster, I don't think > > we need to keep this bug at RC severity. I'm concerned that keeping > > this bug at RC se

Bug#893227: libbluray FTBFS with openjdk-9

2019-01-22 Thread Reinhard Tartler
Control: severity -1 important On Tue, Jan 22, 2019 at 7:48 AM Emmanuel Bourg wrote: > OpenJDK 8 will be kept in Buster but it should be used in exceptional > cases (for example the lombok package requires both OpenJDK 8 and 11 to > build). The default Java runtime for Buster is OpenJDK 11 and

Bug#893227: libbluray FTBFS with openjdk-9

2019-01-22 Thread Reinhard Tartler
t apparently we are just not quite there yet, please see Petri's message below. Can you please give us an update on the roadmap for Java? What's the status on removing openjdk-8 from buster? Best, -rt On Tue, Jan 22, 2019 at 3:02 AM Petri Hintukainen wrote: > Hello, > > On Wed, Jan 16, 2019

Bug#900900: ITP: oci-image-tools -- OCI image tooling

2019-01-18 Thread Reinhard Tartler
On Thu, Jan 10, 2019 at 6:29 AM Reinhard Tartler wrote: > > > To make progress on the debian packaging, I see three options: > > a) Wait for upstream to make a release (cf. > https://github.com/opencontainers/image-tools/pull/200) > b) upload with an epoc > c) upload a

Bug#898689: ITP: golang-github-ostreedev-ostree-go -- Golang bindings for httt://github.com/ostreedev/ostree

2019-01-17 Thread Reinhard Tartler
Hi Juan, Thank you for your work on the package. I'm happy to sponsor uploads to Debian for you as necessary. Did you see my question in my previous email regarding whether skopeo also works with the sjoerdsimons fork that we currently have in Debian? If it would, I think Debian would be better

Bug#893227: libbluray FTBFS with openjdk-9

2019-01-16 Thread Reinhard Tartler
Hi Petri, I'm following up on a question that Sebatian (CC'ed) asked on the mailing list last march [1]. The issue is that Debian intends to drop openjdk-8 in favor of openjdk-11, and we as package maintainers of libbluray are asked to look into this transition. Your response back then was that

Bug#909032: Additional build failures

2019-01-15 Thread Reinhard Tartler
Seems that additional issues have shown up: dh_auto_configure make[1]: Leaving directory '/<>/cadvisor-0.27.1+dfsg2' dh_auto_build -a -O--buildsystem=golang -O--builddirectory=_build cd _build && go install -gcflags=all=\"-trimpath=/<>/cadvisor-0.27.1\+dfsg2/_build/src\"

Bug#919278: ITP: golang-github-pquerna-ffjson -- faster JSON serialization for Go

2019-01-14 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: golang-github-pquerna-ffjson Version : 0.0~git20181028.e517b90-1 Upstream Author : Paul Querna * URL : https://github.com/pquerna/ffjson * License : Apache-2.0 Programming Lang: Go

Bug#900900: ITP: oci-image-tools -- OCI image tooling

2019-01-10 Thread Reinhard Tartler
On Thu, Jan 10, 2019, 00:55 Dmitry Smirnov On Wednesday, 9 January 2019 11:04:26 PM AEDT Reinhard Tartler wrote: > > All in all, the package looks good for upload to me. May I ask where we > are > > with that? > > Wait a sec, did you check the following forwarded bug

Bug#898689: ITP: golang-github-ostreedev-ostree-go -- Golang bindings for httt://github.com/ostreedev/ostree

2019-01-09 Thread Reinhard Tartler
Cool, thanks! On Wed, Jan 9, 2019 at 10:46 AM Juan Picca wrote: > Hi Reinhard. > > Currently ostree-go, commit d0388bd (master HEAD today) fails some tests: > > ``` > === RUN TestCommitTreeSuccess > --- FAIL: TestCommitTreeSuccess (0.11s) > commit_test.go:108: failed to tar populated dir:

Bug#880199: Packaging blockers

2019-01-09 Thread Reinhard Tartler
Hi, I've looked at packaging skopeo as well, and according to the dh-make-golang tool, there are apparently 3 dependencies blocking this ITP: 2019/01/09 06:54:27 Build-Dependency "github.com/containers/storage" is not yet available in Debian, or has not yet been converted to use

Bug#900900: ITP: oci-image-tools -- OCI image tooling

2019-01-09 Thread Reinhard Tartler
Hi Dmitry, I wonder where we are with this ITP about packaging oci-image-tools -- OCI image tooling. I've cloned salsa:go-team/packages/oci-image-tools and testbuilt it in a debian/unstable. Lintian output seems reasonable to me. So does debian/copyright. All in all, the package looks good for

Bug#898689: ITP: golang-github-ostreedev-ostree-go -- Golang bindings for httt://github.com/ostreedev/ostree

2019-01-09 Thread Reinhard Tartler
Hi Juan, are you still working on this ITP? I was looking at skopeo as well, and stumpled upon this ITP. I noticed that you created a repository on salsa: https://salsa.debian.org/go-team/packages/golang-github-ostreedev-ostree-go This package never got uploaded. However, I also noticed that

Bug#907632: [ppc64-el] Breaks building aspectc++

2019-01-02 Thread Reinhard Tartler
No problem at all. Thanks for taking care of the sync for me, Steve! Reinhard On January 2, 2019 2:30:50 PM EST, Steve Langasek wrote: >On Tue, Jan 01, 2019 at 04:32:38PM -0500, Reinhard Tartler wrote: >> On 12/25/18 11:53 AM, Steve Langasek wrote: >> > Package: aspectc++ &

Bug#907632: [ppc64-el] Breaks building aspectc++

2019-01-01 Thread Reinhard Tartler
Hi Steve, On 12/25/18 11:53 AM, Steve Langasek wrote: > Package: aspectc++ > Version: 1:2.2+git20170823-7 > Followup-For: Bug #907632 > User: ubuntu-de...@lists.ubuntu.com > Usertags: origin-ubuntu disco ubuntu-patch > > Hello, > > Based on the bug history, I don't think this is a bug in gcc-8

Bug#917889: ITP: fuser-overlayfs -- An implementation of overlay+shiftfs in FUSE for rootless containers.

2018-12-31 Thread Reinhard Tartler
Packaging available at https://salsa.debian.org/debian/fuse-overlayfs This program is going to use fuse3, which is not co-installable with fuse2. cf. - http://lists.debian.org/ca+fnjvb3j4h81k+bcxm3d2zjgheenjxhws06c5avicr51jg...@mail.gmail.com -

Bug#917889: ITP: fuser-overlayfs -- An implementation of overlay+shiftfs in FUSE for rootless containers.

2018-12-31 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler * Package name: fuser-overlayfs Version : 0.2 Upstream Author : Giuseppe Scrivano 2001-2007 Miklos Szeredi * URL : https://github.com/containers/fuse-overlayfs * License : GPLv3

Bug#917337: ITP: slirp4netns -- User-mode networking for unprivileged network namespaces

2018-12-26 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler Package name: slirp4netns Version : git HEAD Upstream Author : Akihiro Suda URL : https://github.com/rootless-containers/slirp4netns License : GPLv2+ Programming Lang: C Description : User

Bug#903948: Dokuwiki: Link-Assistant in oldstable hangs

2018-09-27 Thread Reinhard Tartler
Control: found -1 0.0.20140505.a+dfsg-4+deb8u1 On 09/27/2018 01:28 AM, Matthias Faulstich wrote: > Dear Reinhard, > > the bug should be fixed in the repository > https://non-gnu.uvt.nl/ > as reported here > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=903948 > > The fixed Package there is

Bug#857807: Proposed fix https://salsa.debian.org/debian/dokuwiki/merge_requests/1

2018-09-23 Thread Reinhard Tartler
Control: tag -1 patch Hi, I think the issue is that the file got dropped from the package, yet the default package is still referencing it. I took the liberty of taking the image from the jessie package and propose a change at https://salsa.debian.org/debian/dokuwiki/merge_requests/1. Tanguy,

Bug#907632: [ppc64-el] Breaks building aspectc++

2018-08-30 Thread Reinhard Tartler
Package: gcc-8 Version: 8.2.0-4 Affects: aspectc++ X-Debbugs-CC: debian-powe...@lists.debian.org Relevant part from https://buildd.debian.org/status/fetch.php?pkg=aspectc%2B%2B=ppc64el=1%3A2.2%2Bgit20170823-8=1535500793=0 In file included from

Bug#890024: npapi-vlc: upcoming Firefox ESR dropping support for NPAPI

2018-08-30 Thread Reinhard Tartler
I agree that it's time to have the package npapi-vlc removed from unstable. Let's proceed with the RM bug.

Bug#902220: Needs porting to LLVM 6.0.1

2018-08-29 Thread Reinhard Tartler
Control: retitle -1 Needs porting to LLVM 6.0.1 Well, I just checked, even the latest trunk does not support LLVM 6.0.1. Or rather, it builds (with some minor, obvious modifications), but doesn't work. I haven't tested LLVM 6.0.0, it may or may not work. This needs to be looked into more.

Bug#902220: Processed: reopening 902220

2018-08-29 Thread Reinhard Tartler
On 08/29/2018 08:24 AM, Adrian Bunk wrote: > AspectC++ upstream code already seems to support LLVM 6 (untested). That's contradictory to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=906972#10 This needs to be looked into more. Also, why do you need to have this bug at severity serious?

Bug#902220: Processed: reopening 902220

2018-08-29 Thread Reinhard Tartler
Control: severity -1 normal Hi Adrian, Thanks for your bug maintenance work, much appreciated! On 08/28/2018 08:27 PM, Debian Bug Tracking System wrote: > Processing commands for cont...@bugs.debian.org: > >> reopen 902220 > Bug #902220 {Done: Reinhard Tartler } [aspectc++] >

Bug#904163: libavcodec-extra57 should PROVIDE package libavcodec57

2018-07-23 Thread Reinhard Tartler
Control: tags -1 -d-i Control: retitle -1 "Investigate the use of versioned provides in place of the alternative dependencies in shlibdeps" Control: severity -1 wishlist Hi James, On Sat, Jul 21, 2018 at 11:45 AM James Cowgill wrote: > Control: tags -1 - moreinfo > > Hi, > > On 21/07/18

Bug#903305: dokuwiki: diff for NMU version 0.0.20160626.a-2.1

2018-07-08 Thread Reinhard Tartler
y Antoine Beaupré +(Closes: #889281) + * Fix loading of css (Closes: #894018) + * Fix 'Invalid argument supplied for foreach() .../lib/exe/js.php' +(Closes: #866245) + + -- Reinhard Tartler Sat, 07 Jul 2018 11:59:53 -0400 + dokuwiki (0.0.20160626.a-2) unstable; urgency=medium * de

Bug#901837: RFP: golang-github-opencontainers-runtime-tools -- OCI Runtime Tools

2018-06-19 Thread Reinhard Tartler
Hi Dmitry, https://salsa.debian.org/go-team/packages/golang-github-opencontainers-runtime-tools gives me a 404. Is this ITP a placeholder? Thanks for your work on this. On that note, is there a team or mailinglist for coordinating work on container tools? I might be interested in getting

Bug#900900: ITP: oci-image-tools -- OCI image tooling

2018-06-07 Thread Reinhard Tartler
The README (cf. https://salsa.debian.org/go-team/packages/oci-image-tools) refers to a the tool "skopeo". Do you plan on packaging https://github.com/projectatomic/skopeo as well? -- regards, Reinhard

Bug#870233: smplayer: executes javascript code downloaded from insecure URL

2018-06-07 Thread Reinhard Tartler
​Sorry, I messed up Ricardo's email address in my previous follow-up, so his reply went to me only. I'm quoting his input with his permission: ​Older versions of SMPlayer downloaded a javascript function from > http://updates.smplayer.info/yt.js in order to decrypt a signature, > which it's

Bug#870233: smplayer: executes javascript code downloaded from insecure URL

2018-06-07 Thread Reinhard Tartler
On Sun, Jun 3, 2018 at 9:36 PM Jonas Smedegaard wrote: > > Hi Reinhard, > > Excerpts from Reinhard Tartler's message of juni 3, 2018 10:48 pm: > > On Mon, Jul 31, 2017 at 1:48 AM Jonas Smedegaard wrote: > >> smplayer includes code in src/basegui.cpp to download and (I guess) > >> execute

Bug#898943: Multiple vulnerabiliities in Mongoose

2018-06-07 Thread Reinhard Tartler
On Thu, Jun 7, 2018 at 6:20 AM Mateusz Łukasik wrote: > This is not fixed for me. I made patch with add latest Mongoose version > which included fixed for all of this cve's. > It pushed now to salsa. > > -- Thank you! I see that you've added

Bug#898943: Multiple vulnerabiliities in Mongoose

2018-06-04 Thread Reinhard Tartler
Ok, thanks. That sounds like a good plan! Reinhard On Sun, Jun 3, 2018, 19:49 Ricardo Villalba wrote: > I don't know yet. I guess I'll have to look for another simple web server. > > > 2018-06-03 23:15 GMT+02:00 Reinhard Tartler : > > Thanks for the tip, Ricardo!

Bug#898943: Multiple vulnerabiliities in Mongoose

2018-06-03 Thread Reinhard Tartler
wasn't aware of those vulnerabilities in mongoose. > It's possible to disable the support for chromecast in smplayer > commenting the line DEFINES += CHROMECAST_SUPPORT in src/smplayer.pro > > 2018-06-03 18:41 GMT+02:00 Reinhard Tartler : > > Hi Richardo, > > > > I'm no

Bug#770377: smplayer: Use 25 items as recent max items

2018-06-03 Thread Reinhard Tartler
Thank you for your patch. Unfortunately, I'm not really comfortable it without coordination with upstream. Did present it to the upstream developers yet? If so, can you please reference the relevant discussion? What did they respond to this change? Best regards, Reinhard On Thu, Nov 20, 2014 at

Bug#897709: Fwd: Bug#897709: aspectc++: ftbfs with GCC-8

2018-05-21 Thread Reinhard Tartler
for GCC 8. Olaf, is Matthias still around and can have a look at this? Best, Reinhard Forwarded Message Subject: Bug#897709: aspectc++: ftbfs with GCC-8 Resent-Date: Fri, 04 May 2018 12:24:43 + Resent-From: Matthias Klose <d...@debian.org> Resent-To: Reinhar

Bug#873777: ITP: whatthepatch -- Library for parsing patch files

2017-08-30 Thread Reinhard Tartler
Package: wnpp Severity: wishlist Owner: Reinhard Tartler <siret...@tauware.de> * Package name: whatthepatch Version : 0.0.5 Upstream Author : Christopher S. Corley * URL : https://github.com/cscorley/whatthepatch * License : MIT Programming Lang:

Bug#873200: /usr/bin/llvm-config-4.0: relocation error: /usr/lib/llvm-4.0/bin/../lib/libLLVM-4.0.so.1: symbol _ZTINSt13__future_base12_Result_baseE, version GLIBCXX_3.4.15 not defined in file libstdc+

2017-08-25 Thread Reinhard Tartler
Package: llvm-4.0-dev Version: 1:4.0.1-1 Severity: serious Justification: Breaks compilation of dependent packages on a release architecture Hi, This error seems to occur on armel only. Affected is the package aspectc++, which FTBFS because of this bug. Please see the buildlog at

Bug#872030: rear: Please recommend the 'extlinux' package

2017-08-13 Thread Reinhard Tartler
Package: rear Version: 2.00+dfsg-2 Severity: normal Dear Maintainer, Rear can be used to create a bootable USB drive. For this to work, the package 'extlinux' needs to be installed on the system. If you do not have the package installed, rear will produce this error message: | root@sandy:~#

Bug#872031: rear: New upstream version: 2.2

2017-08-13 Thread Reinhard Tartler
Package: rear Version: 2.00+dfsg-2 Severity: normal Dear Maintainer, There is a new upstream version of the rear package available: http://relax-and-recover.org/documentation/release-notes-2-2 In that list, I spotted this entry in the Changelog: > Add missing privilege separation dir to

Bug#867115: smplayer crashes with "Error parsing option noquiet (option not found)"

2017-07-08 Thread Reinhard Tartler
Control: severity -1 important Control: tags -1 moreinfo Thank you for your bugreport. I had a look at the issue and have some questions for you. On Mon, Jul 3, 2017 at 6:09 PM Daniel 'DaB.' Baur wrote: > Package: smplayer > Version: 16.11.0~ds0-1 > Severity: grave >

Bug#866769: keepassx fails to clear KDE clipboard history, leaving passwords visible

2017-07-02 Thread Reinhard Tartler
Control: tag -1 +help +upstream Control: severity -1 important Thank you very much for your bug report, Henrik. On 07/01/2017 11:22 AM, Henrik Størner wrote: > > keepassx 2.0.3-1 (in Debian "stretch") fails to clear the clipboard history > after a password has been copied to the clipboard. >

Bug#866715: keepassx: KeepassX 2.x shouldn't automatically replace older versions

2017-07-01 Thread Reinhard Tartler
Hi Victor, thank you for your bugreport. On 07/01/2017 02:59 AM, Victor Wagner wrote: > Package: keepassx > Version: 2.0.3-1 > Severity: important > > > > After dist-upgrade of debian jessie to debian stretch, I've found out > that keepassx is unable to open my password database. It suggests

Bug#864664: CVE-2017-9122 CVE-2017-9123 CVE-2017-9124 CVE-2017-9125 CVE-2017-9126 CVE-2017-9127 CVE-2017-9128

2017-06-30 Thread Reinhard Tartler
On Mon, Jun 12, 2017 at 12:06 PM Moritz Muehlenhoff wrote: > Source: libquicktime > Severity: grave > Tags: security > > Please see: > http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9122 > http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9123 >

Bug#859216: unblock: jackd2/1.9.10+20150825git1ed50c92~dfsg-5

2017-03-31 Thread Reinhard Tartler
+1,11 @@ +jackd2 (1.9.10+20150825git1ed50c92~dfsg-5) unstable; urgency=medium + + * Move libjackserver into package libjack-jackd2-0. This avoids a +dangling symbolic link in the package libjack-jackd2-dev. +(Closes: #858525) + + -- Reinhard Tartler <siret...@tauware.de> Mon, 27 Ma

Bug#858525: marked as pending

2017-03-29 Thread Reinhard Tartler
On 03/29/2017 06:20 AM, Andreas Beckmann wrote: > On 2017-03-29 03:09, Reinhard Tartler wrote: >> tag 858525 pending >> thanks >> >> Hello, >> >> Bug #858525 reported by you has been fixed in the Git repository. You can >> see the changelog

Bug#858525: libjack-jackd2-dev: Depend on jackd2

2017-03-28 Thread Reinhard Tartler
On 2017-03-28 04:04, Mattia Rizzolo wrote: On Mon, Mar 27, 2017 at 11:22:41PM -0400, Reinhard Tartler wrote: I think the approach of adding a 'depends' to jackd2 is the simplest. Moving the shared library to the -dev packages doesn't work, because /usr/bin/jackd2 and netserver.so link against

Bug#858525: libjack-jackd2-dev: Depend on jackd2

2017-03-27 Thread Reinhard Tartler
tags 858525 patch stop Hi, I think the approach of adding a 'depends' to jackd2 is the simplest. Moving the shared library to the -dev packages doesn't work, because /usr/bin/jackd2 and netserver.so link against it. The downside of this patch is that every package that depends on

Bug#846274: Fwd: Bug#846274: GNOME Software catalog entry missing for KeePassX

2016-12-23 Thread Reinhard Tartler
-To: debian-bugs-dist@lists.debian.org Resent-CC: Reinhard Tartler <siret...@tauware.de> Date: Tue, 29 Nov 2016 20:22:11 +0100 (CET) From: asciiw...@seznam.cz Reply-To: asciiw...@seznam.cz, 846...@bugs.debian.org To: sub...@bugs.debian.org Package: keepassx Version: 2.0.2-1 Se

Bug#848512: Probably cause: Dangling symlink in upstream tarball

2016-12-17 Thread Reinhard Tartler
I think I've found the issue: the upstream tarball contains a symlink to an non-existing target: siretart@debian-devel:~/undertaker$ ls -l undertaker-1.6.1/undertaker/validation/cnfmodels lrwxrwxrwx 1 siretart siretart 27 Nov 26 2014 undertaker-1.6.1/undertaker/validation/cnfmodels ->

Bug#848512: failed to unpack: dgit clone undertaker

2016-12-17 Thread Reinhard Tartler
Package: dgit Version: 2.11 I'm not sure what's special about this package, but I think the following command is supposed to "just work": siretart@debian-devel:~/undertaker$ dgit clone undertaker canonical suite name for unstable is sid starting new git history downloading

Bug#836606: aspectc++/oclgrind: Please use llvm 3.8 or, better, 3.9

2016-10-07 Thread Reinhard Tartler
On 10/07/2016 05:56 AM, Gianfranco Costamagna wrote: > control: tags -1 pending > >> Bumping severities accordingly. > and now this is the last blocker. > > I imported new release, refactored a little bit the packaging and team > uploaded in deferred/2. > > changes are committed on git > >

Bug#834953: ams: Should this package be removed?

2016-08-20 Thread Reinhard Tartler
Package: ams Severity: normal Hi, The package "ams" hasn't seen an upstream release since April 2014 (cf. http://alsamodular.sourceforge.net/). The last upload to debian was on 2014-04-12. It currently has one RC bug, and if I read popcon correctly, 46 installations:

Bug#827243: [armhf] Miscompiles with -O2, throws deque::_M_new_elements_at_back

2016-06-13 Thread Reinhard Tartler
Package: g++ Version: 5_5.3.1-21 X-Debbugs-CC: debian-...@lists.debian.org X-Debbugs-CC: aspectc-develop...@aspectc.org Affects: aspectc++ The mentioned version of g++ breaks the build of aspectc++ on the armhf architecture, interestingly other architectures, including armel, are fine. Please

Bug#818808: /usr/bin/gpg-zip does not work with gpg2

2016-03-20 Thread Reinhard Tartler
4-1ubuntu1 pn parcimonie -- no debconf information >From 57c91f130e0ecc71c65e4183e02b0d828fa7a3d6 Mon Sep 17 00:00:00 2001 From: Reinhard Tartler <siret...@tauware.de> Date: Sun, 20 Mar 2016 15:54:45 -0400 Subject: [PATCH] unbreak gpg-zip --gpg gpg2 Fix the option --gpg so that it c

Bug#816517: Maybe an issue of changed package dependencies?

2016-03-09 Thread Reinhard Tartler
See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816517 I wonder of this issue isn't actually the same as documented in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816587.

Bug#816517: marked as done (boxbackup: FTBFS: TEST FAILURE: Condition [::system("perl testfiles/testrequests.pl") == 0] )

2016-03-09 Thread Reinhard Tartler
reopen 816517 found 816517 0.11.1~r2837-2 retitle 816517 FTBFS: /usr/bin/mktexfmt: mkdir(/sbuild-nonexistent/) failed, goodbye: Permission denied thanks The build failure is still present, although the initial report was misleading. It turns out that the problem lies when generating the

Bug#817078: O: boxbackup

2016-03-07 Thread Reinhard Tartler
Package: wnpp Severity: normal I'm no longer using the boxbackup package personally, and would like it to get a new maintainer. Upstream is generally quite receptive and not very fast, so all in all it should be a rather low-maintenance package. I did convert the packaging to git and based it on

  1   2   3   4   5   6   7   8   9   10   >